This app is a simple flask application. It specifies Flask as a dependency which is provided in the `third_party_py` package at the root of our workspace. We also rely on `py_project:calculator` target. This is possible because we have set the visibility for this project `py_library` to public.

In the `WORKSPACE` file we have specified an `external` repo called `my_py_app_deps` this is where all of our pip installed libs
will be downloaded, and converted into Bazel packages automatically.

```
drewbednar@MacBook-Pro learn_bazel % ls ./bazel-learn_bazel/external/my_py_app_deps
BUILD.bazel              pypi__click              pypi__itsdangerous       pypi__werkzeug
WORKSPACE                pypi__flask              pypi__jinja2             pypi__zipp
annotations.json         pypi__importlib_metadata pypi__markupsafe         requirements.bzl
```

## Executing

You can run the built Flask app with:

```
FLASK_ENV="development" bazel run my_py_app:main
```
